{%- assign user = site.data.authors[include.username] -%}

{%- if include.small -%}
  {%- capture label_email -%}<i class="fas fa-envelope"></i>{%- endcapture -%}
  {%- capture label_website -%}<i class="fas fa-globe"></i>{%- endcapture -%}
{%- else -%}
  {%- assign label_email="Email" -%}
  {%- assign label_website="Website" -%}
{%- endif -%}

{%- if user.email -%}
  {%- assign email = user.email -%}
{%- else -%}
  {%- assign username_first_char = include.username | slice: 1 -%}
  {%- unless username_first_char == "_" -%}
    {%- assign email = include.username | append: '@mail.uc.edu' -%}
  {%- endunless -%}
{%- endif -%}

<div class="card border-secondary mb-3">
  {% capture avatar_filename %}avatar-{{ include.username }}.jpg{% endcapture -%}
  {%- if assets[avatar_filename] -%}
    <a href="{% asset '{{ avatar_filename }}' @path %}">
      {%- asset '{{ avatar_filename }}'
        srcset:width="759 3x"
        srcset:width="506 2x"
        srcset:width="253 1x"
        alt="Profile picture" class="card-img-top" %}
    </a>
  {%- else -%}
    {%- asset 'placeholder-avatar.svg'
      alt="Placeholder picture" class="card-img-top" %}
  {%- endif %}
  <div class="card-body {% if include.small %}p-2{% endif %}">
    {%- if include.small -%}
      <h5 class="card-title h6">{{ user.name | replace: " ", " <br>" }}</h5>
    {%- elsif include.break_names -%}
      <h5 class="card-title">{{ user.name | replace: " ", " <br class='d-none d-xl-block'>" }}</h5>
    {%- else -%}
      <h5 class="card-title">{{ user.name }}</h5>
    {%- endif -%}

    {%- if user.position -%}
      <h6 class="card-subtitle mb-2 text-muted">{{ user.position }}</h6>
    {%- endif -%}

    {%- if email -%}
      <a href="mailto:{{ email }}" class="card-link">
        {{- label_email -}}
      </a>
    {%- endif -%}
    {%- if user.website -%}
      <a href="{{ user.website }}" class="card-link">
        {{- label_website -}}
      </a>
    {%- endif -%}
  </div>
</div>
